package net.grelf.grip;

// This Java source file is part of the application GRIP, for processing and
// measuring digital photographs.
// GRIP is available free from www.grelf.net - please always quote this URL in
// connection with GRIP.
//
// Copyright (c) Graham T Relf, UK, 2006
//
// All software contains bugs, even if, we hope, they are only extremely subtle
// ones. The author has tested this software to the best of his abilities to
// ensure that it is generally fit for its purpose of processing and measuring
// digital photographs. The author makes absolutely no claims and gives no
// guarantees whatsoever as to the accuracy of any output from this software.
// Anyone making decisions based on any output from this software has a
// responsibility to first convince themselves of the appropriateness of so
// doing. They should test the software for themselves and understand how it
// works, sufficiently for their needs. Source code and explanatory
// documentation are available for that purpose.

/** Configuration menu and actions. */
public class ConfigMenu
extends javax.swing.JMenu
implements java.awt.event.ActionListener, javax.swing.event.MenuListener
{
	public ConfigMenu ()
	{
		super ("Configure");
		setMnemonic ('C');
    initialise ();
  } // ConfigMenu

  private void initialise ()
  {
		add (net.grelf.Util.menuItem (this,
            "Properties...", "props", 'P', 0));
		add (net.grelf.Util.menuItem (this,
            "Load defective pixels list...", "load", 'L', 0));
		addSeparator ();
		add (net.grelf.Util.menuItem (this,
            "Julian date utility...", "date", 'J', java.awt.event.KeyEvent.VK_J));
	} // ConfigMenu

	/** Implementing the ActionListener interface to act on menu option selection. */
	@Override
	public void actionPerformed (java.awt.event.ActionEvent ev)
	{
		String action = ev.getActionCommand ();

    switch (action)
    {
      case "date":
        new net.grelf.astro.JulianDateDialogue (GRIP.getInstance ());
        break;

      case "props":
        new ConfigDialogue ();
        break;

      case "load":
        Config.loadDefectsFromCSV ();
        break;
    }
	} // actionPerformed

	/** Implementing MenuListener. */
	@Override
	public void menuSelected (javax.swing.event.MenuEvent ev) {}

	/** Implementing MenuListener but does nothing. */
	@Override
	public void menuDeselected (javax.swing.event.MenuEvent ev) {}

	/** Implementing MenuListener but does nothing. */
	@Override
	public void menuCanceled (javax.swing.event.MenuEvent ev) {}

} // ConfigMenu